package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "vProductos")
public class VProductos implements Serializable {

    @Id
    @Column(name = "producto_codigo")
    private String productoCodigo;

    @Column(name = "producto_subclasificacion")
    private String productoSubclasificacion;

    @Column(name = "producto_nombre")
    private String productoNombre;

    @Column(name = "producto_costo_promedio")
    private String productoCostoPromedio;

    @Column(name = "producto_ultima_compra")
    private String productoultimaCompra;

    @Column(name = "producto_precio_regular")
    private String productoPrecioRegular;

    @Column(name = "producto_marca")
    private String productoMarca;

    @Column(name = "producto_codigo_anterior")
    private String productoCodigoAnterior;

    @Column(name = "code1")
    private String code1;

    @Column(name = "producto_envio")
    private String productoEnvio;

    @Column(name = "discontinuado")
    private String discontinuado;

    @Column(name = "codigo_barra")
    private String codigoBarra;

    @Column(name = "medida")
    private String medida;


    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoSubclasificacion() {
        return productoSubclasificacion;
    }

    public void setProductoSubclasificacion(String productoSubclasificacion) {
        this.productoSubclasificacion = productoSubclasificacion;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public String getProductoCostoPromedio() {
        return productoCostoPromedio;
    }

    public void setProductoCostoPromedio(String productoCostoPromedio) {
        this.productoCostoPromedio = productoCostoPromedio;
    }

    public String getProductoultimaCompra() {
        return productoultimaCompra;
    }

    public void setProductoultimaCompra(String productoultimaCompra) {
        this.productoultimaCompra = productoultimaCompra;
    }

    public String getProductoPrecioRegular() {
        return productoPrecioRegular;
    }

    public void setProductoPrecioRegular(String productoPrecioRegular) {
        this.productoPrecioRegular = productoPrecioRegular;
    }

    public String getProductoMarca() {
        return productoMarca;
    }

    public void setProductoMarca(String productoMarca) {
        this.productoMarca = productoMarca;
    }

    public String getProductoCodigoAnterior() {
        return productoCodigoAnterior;
    }

    public void setProductoCodigoAnterior(String productoCodigoAnterior) {
        this.productoCodigoAnterior = productoCodigoAnterior;
    }

    public String getCode1() {
        return code1;
    }

    public void setCode1(String code1) {
        this.code1 = code1;
    }

    public String getProductoEnvio() {
        return productoEnvio;
    }

    public void setProductoEnvio(String productoEnvio) {
        this.productoEnvio = productoEnvio;
    }

    public String getDiscontinuado() {
        return discontinuado;
    }

    public void setDiscontinuado(String discontinuado) {
        this.discontinuado = discontinuado;
    }

    public String getCodigoBarra() {
        return codigoBarra;
    }

    public void setCodigoBarra(String codigoBarra) {
        this.codigoBarra = codigoBarra;
    }

    public String getMedida() {
        return medida;
    }

    public void setMedida(String medida) {
        this.medida = medida;
    }

    public VProductos() {
    }

    public VProductos(String productoCodigo, String productoSubclasificacion, String productoNombre, String productoCostoPromedio, String productoultimaCompra, String productoPrecioRegular, String productoMarca, String productoCodigoAnterior, String code1, String productoEnvio, String discontinuado, String codigoBarra, String medida) {
        this.productoCodigo = productoCodigo;
        this.productoSubclasificacion = productoSubclasificacion;
        this.productoNombre = productoNombre;
        this.productoCostoPromedio = productoCostoPromedio;
        this.productoultimaCompra = productoultimaCompra;
        this.productoPrecioRegular = productoPrecioRegular;
        this.productoMarca = productoMarca;
        this.productoCodigoAnterior = productoCodigoAnterior;
        this.code1 = code1;
        this.productoEnvio = productoEnvio;
        this.discontinuado = discontinuado;
        this.codigoBarra = codigoBarra;
        this.medida = medida;
    }
}
